POST api/PatientApplications
Register a patient application.
Request Information
URI Parameters
None.
Body Parameters
PatientApplicationModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id |
Unique ID of the model on our system (Read only). |
globally unique identifier |
None. |
| ApplicationInstanceId |
Identifier of the patient application. |
string |
None. |
| ApplicationName |
Name of the patient application. |
string |
None. |
| ApplicationVersion |
Version of the patient application. |
string |
None. |
| ApplicationManufacturer |
Manufacturer of the patient application. |
string |
None. |
| ApplicationManufacturerWebSite |
Web site of the manufacturer of the patient application. |
string |
None. |
| ApplicationManufacturerEmail |
Email of the manufacturer of the patient application. |
string |
None. |
| ApplicationManufacturerPhoneNumber |
Phone number of the manufacturer of the patient application. |
string |
None. |
| DeviceId |
Identifier of the device. Used to verify that the application is really working from the device was authorized. |
string |
None. |
| EclClientAccountNumber |
Identifier of the account in the portal. |
string |
None. |
| PatientUsername |
Username of the patient. |
string |
None. |
| PatientPassword |
Password of the patient. |
string |
None. |
| Latitude |
Latitude of the coordinates provided by the patient application, to be verified by the security policy created by the patient in the portal. |
decimal number |
None. |
| Longitude |
Longitude of the coordinates provided by the patient application, to be verified by the security policy created by the patient in the portal. |
decimal number |
None. |
Request Formats
application/json, text/json
{
"id": "346b7a5e-5148-4f32-9a51-f3252a57212a",
"applicationInstanceId": "sample string 2",
"applicationName": "sample string 3",
"applicationVersion": "sample string 4",
"applicationManufacturer": "sample string 5",
"applicationManufacturerWebSite": "sample string 6",
"applicationManufacturerEmail": "sample string 7",
"applicationManufacturerPhoneNumber": "sample string 8",
"deviceId": "sample string 9",
"eclClientAccountNumber": "sample string 10",
"patientUsername": "sample string 11",
"patientPassword": "sample string 12",
"latitude": 1.0,
"longitude": 1.0
}
application/xml, text/xml
<PatientApplicationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PatientApplication"> <ApplicationInstanceId>sample string 2</ApplicationInstanceId> <ApplicationManufacturer>sample string 5</ApplicationManufacturer> <ApplicationManufacturerEmail>sample string 7</ApplicationManufacturerEmail> <ApplicationManufacturerPhoneNumber>sample string 8</ApplicationManufacturerPhoneNumber> <ApplicationManufacturerWebSite>sample string 6</ApplicationManufacturerWebSite> <ApplicationName>sample string 3</ApplicationName> <ApplicationVersion>sample string 4</ApplicationVersion> <DeviceId>sample string 9</DeviceId> <EclClientAccountNumber>sample string 10</EclClientAccountNumber> <Id>346b7a5e-5148-4f32-9a51-f3252a57212a</Id> <Latitude>1</Latitude> <Longitude>1</Longitude> <PatientPassword>sample string 12</PatientPassword> <PatientUsername>sample string 11</PatientUsername> </PatientApplicationModel>
application/x-www-form-urlencoded
Response Information
Resource Description
PatientApplicationModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id |
Unique ID of the model on our system (Read only). |
globally unique identifier |
None. |
| ApplicationInstanceId |
Identifier of the patient application. |
string |
None. |
| ApplicationName |
Name of the patient application. |
string |
None. |
| ApplicationVersion |
Version of the patient application. |
string |
None. |
| ApplicationManufacturer |
Manufacturer of the patient application. |
string |
None. |
| ApplicationManufacturerWebSite |
Web site of the manufacturer of the patient application. |
string |
None. |
| ApplicationManufacturerEmail |
Email of the manufacturer of the patient application. |
string |
None. |
| ApplicationManufacturerPhoneNumber |
Phone number of the manufacturer of the patient application. |
string |
None. |
| DeviceId |
Identifier of the device. Used to verify that the application is really working from the device was authorized. |
string |
None. |
| EclClientAccountNumber |
Identifier of the account in the portal. |
string |
None. |
| PatientUsername |
Username of the patient. |
string |
None. |
| PatientPassword |
Password of the patient. |
string |
None. |
| Latitude |
Latitude of the coordinates provided by the patient application, to be verified by the security policy created by the patient in the portal. |
decimal number |
None. |
| Longitude |
Longitude of the coordinates provided by the patient application, to be verified by the security policy created by the patient in the portal. |
decimal number |
None. |
Response Formats
application/json, text/json
{
"id": "591d9b4f-ad42-4860-84df-252c6d085239",
"applicationInstanceId": "sample string 2",
"applicationName": "sample string 3",
"applicationVersion": "sample string 4",
"applicationManufacturer": "sample string 5",
"applicationManufacturerWebSite": "sample string 6",
"applicationManufacturerEmail": "sample string 7",
"applicationManufacturerPhoneNumber": "sample string 8",
"deviceId": "sample string 9",
"eclClientAccountNumber": "sample string 10",
"patientUsername": "sample string 11",
"patientPassword": "sample string 12",
"latitude": 1.0,
"longitude": 1.0
}
application/xml, text/xml
<PatientApplicationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PatientApplication"> <ApplicationInstanceId>sample string 2</ApplicationInstanceId> <ApplicationManufacturer>sample string 5</ApplicationManufacturer> <ApplicationManufacturerEmail>sample string 7</ApplicationManufacturerEmail> <ApplicationManufacturerPhoneNumber>sample string 8</ApplicationManufacturerPhoneNumber> <ApplicationManufacturerWebSite>sample string 6</ApplicationManufacturerWebSite> <ApplicationName>sample string 3</ApplicationName> <ApplicationVersion>sample string 4</ApplicationVersion> <DeviceId>sample string 9</DeviceId> <EclClientAccountNumber>sample string 10</EclClientAccountNumber> <Id>591d9b4f-ad42-4860-84df-252c6d085239</Id> <Latitude>1</Latitude> <Longitude>1</Longitude> <PatientPassword>sample string 12</PatientPassword> <PatientUsername>sample string 11</PatientUsername> </PatientApplicationModel>